{"openapi":"3.0.1","info":{"title":"Invoicing operator Iopole API","description":"## Iopole API\n\nTo use the Iopole APIs, you must have a **`clientId`** and a **`clientSecret`**.\n\nYou can obtain these credentials by one of the following methods:\n- 📧 Contact the Iopole team at **support@iopole.com**\n- 🧪 Connect to **[Iopole Labs](https://labs.iopole.io)** to create your own sandbox environment\n\n### 📚 API Documentation\n- 🧪 **Preproduction**: [https://docs.ppd.iopole.fr/](https://docs.ppd.iopole.fr/)\n- 🚀 **Production**: [https://docs.iopole.com/](https://docs.iopole.com/)\n\n### 🛠️ Support & Monitoring (production only)\n- 📈 **System status**: [https://uptime.iopole.com](https://uptime.iopole.com)\n  - View real-time platform availability\n  - Subscribe to incident notifications\n  - Receive alerts for planned maintenance periods\n- 📝 **Release notes**: [https://release.iopole.com](https://release.iopole.com)\n","version":"1.0.0","contact":{"name":"Iopole","email":"support@iopole.com"},"x-doc":{"text":"## Iopole API\n\nTo use the Iopole APIs, you must have a **`clientId`** and a **`clientSecret`**.\n\nYou can obtain these credentials by one of the following methods:\n- 📧 Contact the Iopole team at **support@iopole.com**\n- 🧪 Connect to **[Iopole Labs](https://labs.iopole.io)** to create your own sandbox environment\n\n### 📚 API Documentation\n- 🧪 **Preproduction**: [https://docs.ppd.iopole.fr/](https://docs.ppd.iopole.fr/)\n- 🚀 **Production**: [https://docs.iopole.com/](https://docs.iopole.com/)\n\n### 🛠️ Support & Monitoring (production only)\n- 📈 **System status**: [https://uptime.iopole.com](https://uptime.iopole.com)\n  - View real-time platform availability\n  - Subscribe to incident notifications\n  - Receive alerts for planned maintenance periods\n- 📝 **Release notes**: [https://release.iopole.com](https://release.iopole.com)\n"}},"security":[{"oauth2ClientCredentials":[]}],"components":{"schemas":{},"parameters":{},"securitySchemes":{"oauth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.preprod.iopole.fr/realms/iopole/protocol/openid-connect/token","scopes":{}}}}}},"paths":{"/v1.1/invoice/search":{"get":{"deprecated":false,"summary":"Search invoices","description":"Search and retrieve invoices using filtering criteria, returning metadata, business data, and the latest status for each invoice.","tags":["Invoice"],"security":[{"oauth2ClientCredentials":[]}],"parameters":[{"in":"header","name":"customer-id","description":"The unique identifier for the customer.","required":false,"schema":{"type":"string","format":"uuid"},"x-doc":{"text":"The unique identifier for the customer."}},{"in":"query","name":"q","required":false,"description":"🔎 **Search query**\nThe query syntax and supported fields are documented here:\n- 📘 [Search usage](https://docs.ppd.iopole.fr/docs/iopole-api/search)\n- 📘 [Available search fields](https://docs.ppd.iopole.fr/docs/iopole-api/apiDescriptions/invoice/searchInvoiceByFilter)\n\n> ✍️ **Examples**\n> - Iopole invoice Id: `invoice.invoiceId:\"3142b1eb-3ffc-4f51-9bc2-3cbd778a69c9\"`\n> - Multiple states: `invoice.state:\"NOT_DELIVERED\" OR invoice.state:\"WRONG_ROUTING\"`\n> - Direction: `invoice.direction:\"INBOUND\"`\n> - State + direction: `invoice.state:\"NOT_DELIVERED\" AND invoice.direction:\"INBOUND\"`","schema":{"type":"string"},"x-doc":{"text":"Search query","mdLink":"[Refer to page filter](../../search)","childCloseName":"Hide available fields","childOpenName":"Show available fields","child":[{"label":"invoice.invoiceId","type":"uuid","text":"Unique identifier of the invoice"},{"label":"invoice.state","type":"enum","text":"State of the invoice","array":[{"code":"PENDING","label":"The invoice has been received, we will process it."},{"code":"VALID","label":"The invoice passed our validation controls successfully."},{"code":"INVALID","label":"The invoice has been rejected due to a validation issue."},{"code":"DUPLICATED","label":"The invoice has been rejected because it already exists with the same identifier."},{"code":"WRONG_ROUTING","label":"The invoice has been rejected because no corresponding platform was found."},{"code":"NOT_DELIVERED","label":"The invoice has not been delivered to the recipient."},{"code":"DELIVERED","label":"The invoice has been delivered to the recipient."},{"code":"DELIVERY_PENDING","label":"The invoice is waiting to be delivered to the recipient."},{"code":"PROCESSING","label":"The invoice is being processed."},{"code":"CONVERTED","label":"The invoice has been converted."},{"code":"CONVERSION_FAILED","label":"The invoice conversion has failed."}]},{"label":"invoice.direction","type":"enum","text":"Direction","array":[{"code":"OUTBOUND","label":"An invoice or status issued to a customer or client"},{"code":"INBOUND","label":"An invoice or status received from a supplier or vendor"}]}]}},{"in":"query","name":"expand","required":false,"description":"Controls optional sections included in the response.\n\n**Supported values**:\n- `businessData`: include invoice business data (buyer/seller, document number, amount)\n- `lastStatusData`: include latest status information\n\nExample: `businessData,lastStatusData`","schema":{"type":"array","items":{"type":"string","enum":["businessData","lastStatusData"]}},"style":"form","explode":false,"x-doc":{"text":"Controls optional sections included in the response.","array":[{"code":"businessData","label":"Include invoice extracted data (buyer/seller, amounts)"},{"code":"lastStatusData","label":"Include latest status information"}]}},{"in":"query","name":"offset","description":"⏭️ **Offset** : Starting position in the result set\n\n**Default / Min / Max:** 0 / 0 / 1000\n⚠️Large offset values may impact performance\n\n**Example**\n`offset=500&limit=100` → skips 500 records and returns the next 100.","required":false,"schema":{"type":"integer"},"x-doc":{"text":"Starting position in the result set","more":"Default: 0 — Min: 0 — Max: 1000. Large offset values may impact performance."}},{"in":"query","name":"limit","description":"🔢 **Limit** : Maximum number of records returned\n\n**Default / Min / Max:** 50 / 1 / 200\n\n**Example:** `offset=0&limit=50`\nReturns the first 50 records.","required":false,"schema":{"type":"integer"},"x-doc":{"text":"Maximum number of records returned","more":"Default: 50 — Min: 1 — Max: 200."}}],"responses":{"200":{"description":"Invoices id list received from given criteria","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"metadata":{"type":"object","properties":{"invoiceId":{"type":"string","format":"uuid"},"state":{"type":"string","enum":["PENDING","VALID","INVALID","DUPLICATED","WRONG_ROUTING","NOT_DELIVERED","DELIVERED","DELIVERY_PENDING","PROCESSING","CONVERTED","CONVERSION_FAILED"]},"direction":{"type":"string","enum":["INBOUND","OUTBOUND"],"description":"The direction the invoice was handled (Received/Emitted).","x-doc":{"text":"The direction the invoice was handled (Received/Emitted)."}},"createDate":{"type":"string","nullable":true}},"required":["invoiceId","state","direction","createDate"]},"lastStatusData":{"type":"object","properties":{"code":{"type":"string"},"state":{"type":"string","enum":["DELIVERED","NOT_DELIVERED","DELIVERY_PENDING"]},"date":{"type":"string","nullable":true}},"required":["code","state","date"]},"businessData":{"type":"object","properties":{"invoiceId":{"type":"string"},"monetary":{"type":"object","properties":{"invoiceAmount":{"type":"object","properties":{"amount":{"type":"number"}}}}},"seller":{"type":"object","properties":{"name":{"type":"string"},"electronicAddress":{"type":"string"},"country":{"type":"string","maxLength":2}},"required":["country"]},"buyer":{"type":"object","properties":{"name":{"type":"string"},"electronicAddress":{"type":"string"},"country":{"type":"string","maxLength":2}},"required":["country"]},"paymentMeans":{"type":"array","items":{"type":"object","properties":{"typeCode":{"type":"string","description":"**BT-81** Billing period start date","x-doc":{"text":"Billing period start date","valueDescription":"3 char","more":"Code indicating the method by which a payment is to be or has been made","uniqIdentifier":"BT-81","link":{"placeholder":"UNTDID 4461","link":"https://unece.org/fileadmin/DAM/trade/untdid/d16b/tred/tred4461.htm"}}},"label":{"type":"string","description":"**BT-82** Payment Method Description","x-doc":{"text":"Payment Method Description","valueDescription":"100 char","more":"Text indicating the method by which a payment is to be or has been made","uniqIdentifier":"BT-82"}},"paymentReference":{"type":"string","description":"**BT-83** Payment Advice","x-doc":{"text":"Payment Advice","valueDescription":"100 char","more":"Textual value used to link the payment to the Invoice issued by the Seller","uniqIdentifier":"BT-83"}},"bankTransfer":{"type":"object","properties":{"iban":{"type":"string","description":"**BT-84** Payment Account Identifier","x-doc":{"text":"Payment Account Identifier","valueDescription":"50 char","more":"Unique identifier of the bank account held at a financial institution where the payment should be made","uniqIdentifier":"BT-84"}},"accountName":{"type":"string","description":"**BT-85** Payment Account Name","x-doc":{"text":"Payment Account Name","valueDescription":"100 char","more":"Name of a bank account held at a financial institution where the payment should be made","uniqIdentifier":"BT-85"}},"bic":{"type":"string","description":"**BT-86** Payment Service Provider Identifier","x-doc":{"text":"Payment Service Provider Identifier","valueDescription":"12 char","more":"Identifier of the financial institution where the bank account is held","uniqIdentifier":"BT-86"}},"proprietaryId":{"type":"string","description":"Proprietary account identifier","x-doc":{"text":"Proprietary account identifier","valueDescription":"scheme + value","more":"Alternative account identifier when IBAN is not used (or in addition) (Not exist in Ubl)"}}},"required":["iban"],"description":"**BG-17** Bank transfer","x-doc":{"text":"Bank transfer","more":"Group of business terms providing information on payment by bank transfer","uniqIdentifier":"BG-17"}},"creditCard":{"type":"object","properties":{"cardId":{"type":"string","description":"**BT-87** Payment Account Identifier","x-doc":{"text":"Payment Account Identifier","valueDescription":"19 char","more":"Primary Account Number (PAN) of the card used for payment","uniqIdentifier":"BT-87"}},"cardHolderName":{"type":"string","description":"**BT-88** Payment Account Name","x-doc":{"text":"Payment Account Name","valueDescription":"100 char","more":"Cardholder's Name","uniqIdentifier":"BT-88"}}},"required":["cardId","cardHolderName"],"description":"**BG-18** Payment Card Information","x-doc":{"text":"Payment Card Information","more":"Group of business terms providing information about the card used for payment (Used only if the Buyer has chosen to pay by credit or debit card)","uniqIdentifier":"BG-18"}},"bankDirectDebit":{"type":"object","properties":{"iban":{"type":"string","description":"**BT-91** Debit account identifier (IBAN)","x-doc":{"text":"Debit account identifier (IBAN)","valueDescription":"19 char","more":"Account to be debited by direct debit.","uniqIdentifier":"BT-91"}}},"required":["iban"],"description":"**BG-19** Direct Debit","x-doc":{"text":"Direct Debit","more":"Group of business terms specifying a direct debit","uniqIdentifier":"BG-19"}}},"required":["typeCode"],"description":"**BG-16** Payment Instructions","x-doc":{"text":"Payment Instructions","more":"Group of business terms providing information on payment.","uniqIdentifier":"BG-16"}}},"referencedDocuments":{"type":"array","items":{"type":"object","properties":{"invoiceId":{"type":"string","maxLength":20,"description":"**BT-25** Reference to a previous invoice","x-doc":{"text":"Reference to a previous invoice","valueDescription":"20 char","more":"Identification of an invoice previously sent by the Seller","uniqIdentifier":"BT-25"}},"date":{"type":"string","description":"**BT-26** Issue date of the previous invoice","x-doc":{"text":"Issue date of the previous invoice","valueDescription":"YYYY-MM-DD","more":"Date on which the previous invoice was issued.","uniqIdentifier":"BT-26"}},"type":{"type":"string","minLength":3,"maxLength":3,"description":"Type of previous invoice","x-doc":{"text":"Type of previous invoice","valueDescription":"3 digits","more":"EXT-FR-FE-02 - Type of the previous invoice that is referenced. Link to UNTDID list.","link":{"placeholder":"UNTDID 1001 list","link":"https://service.unece.org/trade/untdid/d99a/uncl/uncl1001.htm"}}}},"required":["invoiceId"]}},"shipping":{"type":"object","properties":{"deliveryDate":{"type":"string"},"tradeParty":{"type":"object","properties":{"name":{"type":"string","maxLength":100},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255},"addressLineTwo":{"type":"string","maxLength":255},"addressLineThree":{"type":"string","maxLength":255},"cityName":{"type":"string","maxLength":255},"postalCode":{"type":"string","maxLength":10},"countrySubDivision":{"type":"string","maxLength":255},"country":{"type":"string","maxLength":2}},"required":["country"]},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name","postalAddress","identifiers"]}},"required":["deliveryDate","tradeParty"]}}}},"required":["metadata"]}},"meta":{"type":"object","properties":{"offset":{"type":"number"},"limit":{"type":"number"},"count":{"type":"number"}},"required":["offset","limit","count"]}},"required":["data","meta"],"description":"List of invoices","x-doc":{"text":"List of invoices"}}}},"x-doc":{"text":"Invoices id list received from given criteria"}},"401":{"description":"Unauthorized - Authentication is required and has failed or has not yet been provided.","x-doc":{"text":"Unauthorized - Authentication is required and has failed or has not yet been provided."}},"403":{"description":"Forbidden - The server understood the request, but it refuses to authorize it.","x-doc":{"text":"Forbidden - The server understood the request, but it refuses to authorize it."}}},"x-doc":{"text":"Search and retrieve invoices using filtering criteria, returning metadata, business data, and the latest status for each invoice."}}},"/v1/invoice/{invoiceId}":{"get":{"summary":"Retrieve invoices metadata","description":"📄 **Invoice metadata**\nRetrieve the **metadata and business data** associated with a given invoice:","tags":["Invoice"],"security":[{"oauth2ClientCredentials":[]}],"parameters":[{"in":"header","name":"customer-id","description":"The unique identifier for the customer.","required":false,"schema":{"type":"string","format":"uuid"},"x-doc":{"text":"The unique identifier for the customer."}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Invoice metadata for given invoice.","content":{"application/json":{"schema":{"type":"object","properties":{"streamId":{"type":"string","format":"uuid","description":"The stream ID of the invoice.","x-doc":{"text":"The stream ID of the invoice."}},"invoiceId":{"type":"string","format":"uuid","description":"Unique Iopole identifier","x-doc":{"text":"Unique Iopole identifier"}},"date":{"type":"string","description":"Date of invoice creation in Iopole system","x-doc":{"valueDescription":"YYYY-MM-DD","text":"Date of invoice creation in Iopole system"}},"originalFormat":{"type":"string","enum":["FACTURX","CII","UBL"],"description":"Detected format when the invoice has been received.","x-doc":{"text":"Detected format when the invoice has been received.","array":[{"code":"FACTURX","label":"FacturX — CII-based XML e-invoicing format (French and EU standard)"},{"code":"CII","label":"Cross Industry Invoice (UN/CEFACT CII D16B)"},{"code":"UBL","label":"Universal Business Language 2.1 (OASIS UBL)"}]}},"originalFlavor":{"type":"string","enum":["MINIMUM","BASICWL","BASIC","EN16931","EXTENDED","XRECHNUNG","PEPPOL_BIS_3","PEPPOL_BE","PEPPOL_SI_UBL_2_0_NL"],"description":"Type of format","x-doc":{"text":"Type of format"}},"originalNetwork":{"type":"string","enum":["DOMESTIC_FR","PEPPOL_INTERNATIONAL"],"description":"Network","x-doc":{"text":"Network","array":[{"code":"DOMESTIC_FR","label":"French domestic e-invoicing network (PPF/PDP)."},{"code":"PEPPOL_INTERNATIONAL","label":"Peppol international e-invoicing network."}]}},"way":{"type":"string","enum":["RECEIVED","EMITTED"],"description":"Direction of the invoice flow.","x-doc":{"text":"Direction of the invoice flow.","array":[{"code":"RECEIVED","label":"Invoice received from a supplier."},{"code":"EMITTED","label":"Invoice emitted to a customer."}]}},"businessData":{"type":"object","properties":{"invoiceId":{"type":"string","maxLength":20,"description":"**BT-1** Invoice number","x-doc":{"more":"Sequential number required by Article 226(2) of Directive 2006/112/EC [2], to uniquely identify the invoice. It can be based on one or more series, which may include alphanumeric characters.","text":"Invoice number","uniqIdentifier":"BT-1"}},"invoiceDate":{"type":"string","description":"**BT-2** Date of invoice","x-doc":{"valueDescription":"YYYY-MM-DD","more":"Date on which the invoice was issued.","uniqIdentifier":"BT-2","text":"Date of invoice"}},"type":{"anyOf":[{"type":"string"},{"type":"number"}],"description":"**BT-3** Code specifying the functional type of the invoice.","x-doc":{"text":"Code specifying the functional type of the invoice.","valueDescription":"max : 3","more":"Commercial invoices corresponds to code 380 and credit note to 381.","uniqIdentifier":"BT-3","link":{"placeholder":"UNTDID 1001 list","link":"https://service.unece.org/trade/untdid/d99a/uncl/uncl1001.htm"}}},"processType":{"type":"string","enum":["B1","S1","M1","B2","S2","M2","B4","S4","M4","S5","S6","B7","S7"],"description":"Process type code identifying the business scenario of the invoice.","x-doc":{"text":"Process type code identifying the business scenario of the invoice.","array":[{"code":"B1","label":"Goods invoice","columns":["Standard invoice for the sale of goods."]},{"code":"S1","label":"Services invoice","columns":["Standard invoice for the provision of services."]},{"code":"M1","label":"Mixed invoice (goods + services)","columns":["Invoice covering both goods and services that are not incidental to each other."]},{"code":"B2","label":"Goods invoice (already paid)","columns":["Invoice for goods where payment was made before invoicing."]},{"code":"S2","label":"Services invoice (already paid)","columns":["Invoice for services where payment was made before invoicing."]},{"code":"M2","label":"Mixed invoice (already paid)","columns":["Mixed invoice where payment was made before invoicing."]},{"code":"B4","label":"Final invoice for goods (after down payment)","columns":["Final goods invoice issued after one or more prepayment invoices (type 386)."]},{"code":"S4","label":"Final invoice for services (after down payment)","columns":["Final services invoice issued after one or more prepayment invoices (type 386)."]},{"code":"M4","label":"Double final invoice (after down payment)","columns":["Final mixed invoice issued after one or more prepayment invoices (type 386)."]},{"code":"S5","label":"Subcontractor services invoice","columns":["Invoice from a subcontractor for services rendered under a subcontracting arrangement."]},{"code":"S6","label":"Co-contractor services invoice","columns":["Invoice from a co-contractor for services rendered under a co-contracting arrangement."]},{"code":"B7","label":"Goods invoice (e-reporting VAT collected)","columns":["Invoice for goods where VAT was already collected and reported via e-reporting."]},{"code":"S7","label":"Services invoice (e-reporting VAT collected)","columns":["Invoice for services where VAT was already collected and reported via e-reporting."]}],"headers":["Description"]}},"invoiceDueDate":{"type":"string","description":"**BT-9** Date when the payment is due","x-doc":{"valueDescription":"YYYY-MM-DD","more":"The due date corresponds to the date when the net payment is due. For partial payments, it is the first net due date. The description for more complex payment terms is provided in BT-20.","uniqIdentifier":"BT-9","text":"Date when the payment is due"}},"taxPaymentOption":{"type":"object","properties":{"code":{"type":"integer","enum":[5,29,72,3,35,432],"description":"**BT-8** Code specifying the date on which VAT becomes chargeable for the Seller and the Buyer.","x-doc":{"text":"Code specifying the date on which VAT becomes chargeable for the Seller and the Buyer.","more":"VAT point date code.","uniqIdentifier":"BT-8","array":[{"code":"3","label":"VAT is chargeable on invoice date (UBL)"},{"code":"5","label":"VAT is chargeable on invoice date (CII)"},{"code":"29","label":"VAT is chargeable on delivery date (CII)"},{"code":"35","label":"VAT is chargeable on delivery date (UBL)"},{"code":"72","label":"VAT is chargeable on payment date (CII)"},{"code":"432","label":"VAT is chargeable on payment date (UBL)"}]}},"iopCode":{"type":"string","enum":["UNKNOWN","INVOICE_DATE","DELIVERY_DATE","PAYMENT_DATE"],"description":"IOPOLE VAT point date (platform enum).","x-doc":{"text":"IOPOLE VAT point date (platform enum).","more":"IOPOLE extension — alternative to BT-8 numeric code. At least one of {code, iopCode} is required (both allowed).","array":[{"code":"UNKNOWN","label":"Unknown - not exported, defaults depending on profile"},{"code":"INVOICE_DATE","label":"VAT is chargeable on invoice date (CII: 5 | UBL: 3)"},{"code":"DELIVERY_DATE","label":"VAT is chargeable on delivery date (CII: 29 | UBL: 35)"},{"code":"PAYMENT_DATE","label":"VAT is chargeable on payment date (CII: 72 | UBL: 432)"}]}},"debitTaxPaymentActive":{"type":"boolean","description":"Debit tax payment active.","x-doc":{"text":"Debit tax payment active.","more":"Optional flag (platform-specific)."}}}},"referenceData":{"type":"object","properties":{"buyerReferenceId":{"type":"string","description":"**BT-10** Buyer’s reference","x-doc":{"text":"Buyer’s reference","valueDescription":"100 char","more":"Identifier assigned by the Buyer for internal routing of the invoice.","uniqIdentifier":"BT-10"}},"projectReferenceId":{"type":"string","description":"**BT-11** Project reference","x-doc":{"text":"Project reference","valueDescription":"50 char","more":"Identification of the project to which the invoice refers","uniqIdentifier":"BT-11"}},"contractReferenceId":{"type":"string","description":"**BT-12** Contract reference","x-doc":{"text":"Contract reference","valueDescription":"100 char","more":"Contract identifier (The contract identifier should be unique for a specific business relationship and for a defined period of time.)","uniqIdentifier":"BT-12"}},"buyerOrderReferenceId":{"type":"string","description":"**BT-13** Purchase order reference","x-doc":{"text":"Purchase order reference","valueDescription":"50 char","more":"Identifier of a referenced purchase order, generated by the Buyer.","uniqIdentifier":"BT-13"}},"sellerOrderReferenceId":{"type":"string","description":"**BT-14** Sales order number","x-doc":{"text":"Sales order number","valueDescription":"50 char","more":"Identifier of a referenced purchase order, generated by the Seller.","uniqIdentifier":"BT-14"}},"receiptDocumentReferenceId":{"type":"string","description":"**BT-15** Receipt advice reference","x-doc":{"text":"Receipt advice reference","valueDescription":"50 char","more":"Identifier of a referenced receipt advice","uniqIdentifier":"BT-15"}},"despatchDocumentReferenceId":{"type":"string","description":"**BT-16** Shipping notice reference","x-doc":{"text":"Shipping notice reference","valueDescription":"50 char","more":"Identifier of a referenced shipping notice","uniqIdentifier":"BT-16"}},"originatorDocumentReferenceId":{"type":"string","description":"**BT-17** Tender or lot reference","x-doc":{"text":"Tender or lot reference","valueDescription":"50 char","more":"Identifier of a tender or lot","uniqIdentifier":"BT-17"}},"accountingCostId":{"type":"string","description":"**BT-19** Buyer’s accounting reference","x-doc":{"text":"Buyer’s accounting reference","valueDescription":"100 char","more":"Textual value specifying where to allocate the relevant data in the Buyer’s accounting accounts.","uniqIdentifier":"BT-19"}},"directDebitMandateId":{"type":"string","description":"**BT-89** Mandate reference identifier","x-doc":{"text":"Mandate reference identifier","valueDescription":"35 char","more":"Unique identifier assigned by the Beneficiary, used as a reference for the direct debit mandate. (Mandatory information element in the case of SEPA direct debit.)","uniqIdentifier":"BT-89"}},"creditorReferenceId":{"type":"string","description":"**BT-90** Creditor's bank identifier","x-doc":{"text":"Creditor's bank identifier","valueDescription":"100 char","more":"Unique bank reference identifier of the Beneficiary or Seller, assigned by the Beneficiary's or Seller's bank. (Mandatory information element in the case of SEPA direct debit.)","uniqIdentifier":"BT-90"}},"contractReferenceTypeId":{"type":"string","description":"Type of contract","x-doc":{"text":"Type of contract","valueDescription":"10 char"}},"additionalReferenceIds":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"**BT-18** Invoiced item identifier","x-doc":{"text":"Invoiced item identifier","valueDescription":"100 char","more":"Identifier of an item on which the invoiced item or data is based and provided by the Seller. (This can be a subscription number, a phone number, a meter, etc., depending on the case.)","uniqIdentifier":"BT-18"}},"typeCode":{"type":"string","description":"**BT-18-0** Invoiced item identifier","x-doc":{"text":"Invoiced item identifier","valueDescription":"3 char","more":"The code 130 \"invoice data\" shall be used to refer to the identifier of an object given by the seller (BT-18)","uniqIdentifier":"BT-18-0"}}},"required":["id","typeCode"]}}}},"monetary":{"type":"object","properties":{"invoiceCurrency":{"type":"string","description":"**BT-5** Invoice currency code","x-doc":{"text":"Invoice currency code","more":"Currency in which all the amounts of the Invoice are expressed, with the exception of the total amount of VAT in the accounting currency.","uniqIdentifier":"BT-5","link":{"placeholder":"Currency iso code list","link":"https://fr.wikipedia.org/wiki/ISO_4217"}}},"taxCurrency":{"type":"string","maxLength":3,"description":"**BT-6** VAT accounting currency code","x-doc":{"text":"VAT accounting currency code","more":"Currency used for accounting and declaration of VAT, accepted or required in the Seller's country.","uniqIdentifier":"BT-6","link":{"placeholder":"Currency iso code list","link":"https://fr.wikipedia.org/wiki/ISO_4217"}}},"invoiceAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-112** Total amount of the Invoice, including VAT.","x-doc":{"text":"Total amount of the Invoice, including VAT.","valueDescription":"19 digits and 2 decimal","more":"Total amount of the Invoice, including VAT.","uniqIdentifier":"BT-112"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"taxBasisTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-109** Total invoice amount excluding VAT","x-doc":{"text":"Total invoice amount excluding VAT","valueDescription":"19 digits and 2 decimal","more":"Total amount of the Invoice, excluding VAT.","uniqIdentifier":"BT-109"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"taxTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-110** Total VAT amount of the invoice","x-doc":{"text":"Total VAT amount of the invoice","valueDescription":"19 digits and 2 decimal","more":"Total amount of VAT in the Invoice.","uniqIdentifier":"BT-110"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"description":"**BT-110-1** Currency code","x-doc":{"text":"Currency code","valueDescription":"3 char","more":"Total amount of VAT in the Invoice.","uniqIdentifier":"BT-110-1","link":{"placeholder":"Currency iso code list","link":"https://fr.wikipedia.org/wiki/ISO_4217"}}}},"required":["amount","currency"]},"payableAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-115** Amount to pay","x-doc":{"text":"Amount to pay","valueDescription":"19 digits and 2 decimal","more":"Amount outstanding for which payment is requested.","uniqIdentifier":"BT-115"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"taxTotalAmountAccounting":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-111** Total VAT amount of the invoice expressed (accounting currency)","x-doc":{"text":"Total VAT amount of the invoice expressed (accounting currency)","valueDescription":"19 digits and 2 decimal","more":"Total amount of VAT expressed in the accounting currency accepted or required in the Seller's country.","uniqIdentifier":"BT-111"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"prepaidTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-113** Amount paid","x-doc":{"text":"Amount paid","valueDescription":"19 digits and 2 decimal","more":"Sum of amounts paid in advance.","uniqIdentifier":"BT-113"}}},"required":["amount"]},"lineTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-106** Sum of invoice line net amounts","x-doc":{"text":"Sum of invoice line net amounts","more":"Sum of the net amount of all the invoice lines.","uniqIdentifier":"BT-106"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"chargeTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-108** Sum of charges or costs at document level","x-doc":{"text":"Sum of charges or costs at document level","valueDescription":"19 digits and 2 decimal","more":"Sum of all charges or fees in the Invoice document.","uniqIdentifier":"BT-108"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"allowanceTotalAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-107** Sum of discounts at document level","x-doc":{"text":"Sum of discounts at document level","valueDescription":"19 digits and 2 decimal","more":"Sum of all discounts in the Invoice document.","uniqIdentifier":"BT-107"}},"currency":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"]}},"required":["amount"]},"roundingAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-114** Amount to round off","x-doc":{"text":"Amount to round off","valueDescription":"19 digits and 2 decimal","more":"Amount to be added to the total amount of the invoice to round off the amount payable.","uniqIdentifier":"BT-114"}}},"required":["amount"]}},"required":["invoiceCurrency","invoiceAmount","taxBasisTotalAmount","taxTotalAmount","payableAmount"],"description":"BG-22 - The invoice totals.","x-doc":{"text":"BG-22 - The invoice totals."}},"taxDetails":{"type":"array","items":{"type":"object","properties":{"taxableAmount":{"type":"object","properties":{"amount":{"type":"number","maximum":10000000000000000000,"description":"**BT-116** Taxable amount for the type of VAT","x-doc":{"text":"Taxable amount for the type of VAT","more":"Breakdown of VAT by VAT type rate. Sum of all taxable amounts subject to a specific VAT type code and rate (if VAT Type Rate is applicable).","uniqIdentifier":"BT-116"}}},"required":["amount"]},"taxAmount":{"type":"object","properties":{"amount":{"type":"number","maximum":10000000000000000000,"description":"**BT-117** VAT amount for each type of VAT","x-doc":{"text":"VAT amount for each type of VAT","more":"Total amount of VAT for a given type of VAT.","uniqIdentifier":"BT-117"}}},"required":["amount"]},"taxType":{"type":"string","default":"VAT"},"categoryCode":{"type":"string","maxLength":2,"description":"**BT-118** VAT type code","x-doc":{"text":"VAT type code","valueDescription":"2 char","more":"Coded identification of a VAT type.","uniqIdentifier":"BT-118","link":{"placeholder":"UNTDID 5305","link":"https://unece.org/fileadmin/DAM/trade/untdid/d16b/tred/tred5305.htm"}}},"percent":{"type":"number","description":"**BT-119** VAT type rate","x-doc":{"text":"VAT type rate","valueDescription":"3 digits and 2 decimal","more":"VAT rate, expressed as a percentage, applicable to the corresponding VAT type.","uniqIdentifier":"BT-119"}},"exemptionReason":{"type":"string","maxLength":1024,"description":"**BT-120** Reason for VAT exemption","x-doc":{"text":"Reason for VAT exemption","valueDescription":"1024 char","more":"A statement explaining why an amount is exempt from VAT.","uniqIdentifier":"BT-120"}},"exemptionReasonCode":{"type":"string","maxLength":30,"description":"**BT-120** Reason for VAT exemption","x-doc":{"text":"Reason for VAT exemption","valueDescription":"1024 char","more":"A statement explaining why an amount is exempt from VAT.","uniqIdentifier":"BT-120"}}},"required":["taxableAmount","taxAmount","categoryCode"]},"description":"BG-23 - Breakdown of VAT","x-doc":{"text":"BG-23 - Breakdown of VAT"}},"buyer":{"type":"object","properties":{"name":{"type":"string","description":"**BT-44** Buyer’s company name","x-doc":{"text":"Buyer’s company name","uniqIdentifier":"BT-44","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"**BT-45** Commercial Name of the Buyer’s Agent","x-doc":{"text":"Commercial Name of the Buyer’s Agent","more":"Name by which the validator is known, other than the legal name of the validator (also called the Business Name)","uniqIdentifier":"BT-45","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"**BT-47** A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration authority, identifying the Buyer as a legal entity or corporate body.","uniqIdentifier":"BT-47","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"**BT-46b** A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the Buyer.","uniqIdentifier":"BT-46b","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"**BT-49** Addressing identifier","x-doc":{"text":"Addressing identifier","more":"scheme:value","uniqIdentifier":"BT-49"}},"vatNumber":{"type":"string","maxLength":18,"description":"**BT-48** Buyer's VAT identifier","x-doc":{"text":"Buyer's VAT identifier","more":"According to Article 215 of Council Directive 2006/112/EC.","uniqIdentifier":"BT-48","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"**BT-50** Buyer's address","x-doc":{"text":"Buyer's address","more":"Main line of an address.","uniqIdentifier":"BT-50"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"**BT-51** Buyer's address","x-doc":{"text":"Buyer's address","more":"Additional line of an address.","uniqIdentifier":"BT-51","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"**BT-163** Buyer's address","x-doc":{"text":"Buyer's address","more":"Additional line of an address.","uniqIdentifier":"BT-163","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"**BT-52** Buyer's locality","x-doc":{"text":"Buyer's locality","more":"Common name of the municipality, city, or town.","uniqIdentifier":"BT-52","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"**BT-53** Postal code of the buyer","x-doc":{"text":"Postal code of the buyer","more":"Identifier of an addressable property group.","uniqIdentifier":"BT-53","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"**BT-54** Buyer’s country subdivision","x-doc":{"text":"Buyer’s country subdivision","more":"Country subdivision","uniqIdentifier":"BT-54","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"**BT-55** Buyer’s country code","x-doc":{"text":"Buyer’s country code","more":"Country identification code","uniqIdentifier":"BT-55","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"**BT-56** Buyer’s contact point person","x-doc":{"text":"Buyer’s contact point person","more":"Contact point corresponding to a legal entity or a moral person","uniqIdentifier":"BT-56","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"**BT-56** Buyer’s contact point department","x-doc":{"text":"Buyer’s contact point department","more":"Contact point corresponding to a legal entity or a moral person","uniqIdentifier":"BT-56","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"**BT-57** Buyer's contact phone number","x-doc":{"text":"Buyer's contact phone number","more":"Phone number of the contact point","uniqIdentifier":"BT-57","valueDescription":"string"}},"email":{"type":"string","description":"**BT-58** Email address of the buyer's contact","x-doc":{"text":"Email address of the buyer's contact","more":"Email address of the contact person","uniqIdentifier":"BT-58","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name","electronicAddress"],"description":"BG-7 - The buyer details of the invoice.","x-doc":{"text":"BG-7 - The buyer details of the invoice."}},"seller":{"type":"object","properties":{"name":{"type":"string","description":"Business name of the seller","x-doc":{"text":"Business name of the seller","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"**BT-28** Trade name of the seller","x-doc":{"text":"Trade name of the seller","more":"It can be used if it differs from the Seller's legal name.","uniqIdentifier":"BT-28","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"**BT-30** A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies the Seller as a legal entity or a legal person.","uniqIdentifier":"BT-30","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"BT-29b - Identification of the Seller","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"**BT-34** Electronic address of the seller","x-doc":{"text":"Electronic address of the seller","more":"scheme:value","uniqIdentifier":"BT-34","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"**BT-31** Buyer's VAT identifier","x-doc":{"text":"Buyer's VAT identifier","more":"According to Article 215 of Council Directive 2006/112/EC.","uniqIdentifier":"BT-31","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"**BT-35** Seller's address","x-doc":{"text":"Seller's address","more":"Main line of an address.","uniqIdentifier":"BT-35","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"**BT-36** Seller's address","x-doc":{"text":"Seller's address","more":"Additional line of an address.","uniqIdentifier":"BT-36","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"**BT-162** Seller's address","x-doc":{"text":"Seller's address","more":"Additional line of an address.","uniqIdentifier":"BT-162","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"**BT-37** Seller's locality","x-doc":{"text":"Seller's locality","more":"Common name of the municipality, city, or town.","uniqIdentifier":"BT-37","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"**BT-38** Postal code of the seller","x-doc":{"text":"Postal code of the seller","more":"Identifier of an addressable property group.","uniqIdentifier":"BT-38","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"**BT-39** Seller's country subdivision","x-doc":{"text":"Seller's country subdivision","more":"Country subdivision","uniqIdentifier":"BT-39","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"**BT-40** Seller’s country code","x-doc":{"text":"Seller’s country code","more":"Country identification code","uniqIdentifier":"BT-40","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"**BT-41** Seller’s contact point person","x-doc":{"text":"Seller’s contact point person","more":"Contact point corresponding to a legal entity or a moral person","uniqIdentifier":"BT-41","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"**BT-41** Seller’s contact point department","x-doc":{"text":"Seller’s contact point department","more":"Contact point corresponding to a legal entity or a moral person","uniqIdentifier":"BT-41","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"**BT-42** Seller's contact phone number","x-doc":{"text":"Seller's contact phone number","more":"Phone number of the contact point","uniqIdentifier":"BT-42","valueDescription":"string"}},"email":{"type":"string","description":"**BT-43** Email address of the seller's contact","x-doc":{"text":"Email address of the seller's contact","more":"Email address of the contact person","uniqIdentifier":"BT-43","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"BG-4 - The seller details of the invoice.","x-doc":{"text":"BG-4 - The seller details of the invoice."}},"payee":{"type":"object","properties":{"name":{"type":"string","description":"Beneficiary name","x-doc":{"text":"Beneficiary name","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string"},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies the Seller as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the payee","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Electronic address of the payee","x-doc":{"text":"Electronic address of the payee","more":"format: scheme:value","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"Payee's VAT identifier","x-doc":{"text":"Payee's VAT identifier","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Payee's address","x-doc":{"text":"Payee's address","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Payee's address","x-doc":{"text":"Payee's address","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Payee's address","x-doc":{"text":"Payee's address","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"Payee's locality","x-doc":{"text":"Payee's locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of the Payee","x-doc":{"text":"Postal code of the Payee","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"Payee's country subdivision","x-doc":{"text":"Payee's country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"Buyer’s country code","x-doc":{"text":"Buyer’s country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"Payee’s contact point person","x-doc":{"text":"Payee’s contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"Payee’s contact point department","x-doc":{"text":"Payee’s contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"Payee's contact phone number","x-doc":{"text":"Payee's contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the Payee's contact","x-doc":{"text":"Email address of the Payee's contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"BG-10 - The payee details of the invoice.","x-doc":{"text":"BG-10 - The payee details of the invoice."}},"invoicee":{"type":"object","properties":{"name":{"type":"string","description":"Legal name of the invoicee","x-doc":{"text":"Legal name of the invoicee","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"Commercial Name of the invoicee","x-doc":{"text":"Commercial Name of the invoicee","more":"Name by which the payer is known, other than the invoicee legal name (also known as the company name). (It can be used if it differs from the legal name of the validator.)","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies invoicee as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the invoicee","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Email address of the invoicee","x-doc":{"text":"Email address of the invoicee","more":"Identifies the email address of the invoicee to which a commercial document can be sent.","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"VAT identifier of the invoicee","x-doc":{"text":"VAT identifier of the invoicee","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Address Line 1 of the invoicee","x-doc":{"text":"Address Line 1 of the invoicee","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Address Line 2 of the invoicee","x-doc":{"text":"Address Line 2 of the invoicee","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Address Line 3 of the invoicee","x-doc":{"text":"Address Line 3 of the invoicee","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"invoicee locality","x-doc":{"text":"invoicee locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of invoicee","x-doc":{"text":"Postal code of invoicee","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"invoicee country subdivision","x-doc":{"text":"invoicee country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"invoicee country code","x-doc":{"text":"invoicee country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"invoicee contact point person","x-doc":{"text":"invoicee contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"invoicee contact point department","x-doc":{"text":"invoicee contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"invoicee contact phone number","x-doc":{"text":"invoicee contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the invoicee contact","x-doc":{"text":"Email address of the invoicee contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"Addressed To","x-doc":{"text":"Addressed To"}},"invoicer":{"type":"object","properties":{"name":{"type":"string","description":"Full name of the Billing Third Party","x-doc":{"text":"Full name of the Billing Third Party","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"Commercial Name of the Billing Third Party (Billing Service)","x-doc":{"text":"Commercial Name of the Billing Third Party (Billing Service)","more":"Name by which the payer is known, other than the invoicer legal name (also known as the company name). (It can be used if it differs from the legal name of the validator.)","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies invoicer as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the invoicer","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Email address of the invoicer","x-doc":{"text":"Email address of the invoicer","more":"Identifies the email address of the invoicer to which a commercial document can be sent.","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"VAT identifier of the invoicer","x-doc":{"text":"VAT identifier of the invoicer","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Address Line 1 of the invoicer","x-doc":{"text":"Address Line 1 of the invoicer","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Address Line 2 of the invoicer","x-doc":{"text":"Address Line 2 of the invoicer","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Address Line 3 of the invoicer","x-doc":{"text":"Address Line 3 of the invoicer","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"invoicer locality","x-doc":{"text":"invoicer locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of invoicer","x-doc":{"text":"Postal code of invoicer","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"invoicer country subdivision","x-doc":{"text":"invoicer country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"invoicer country code","x-doc":{"text":"invoicer country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"invoicer contact point person","x-doc":{"text":"invoicer contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"invoicer contact point department","x-doc":{"text":"invoicer contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"invoicer contact phone number","x-doc":{"text":"invoicer contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the invoicer contact","x-doc":{"text":"Email address of the invoicer contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"Billing Third Party (billing service).","x-doc":{"text":"Billing Third Party (billing service)."}},"sellerAgent":{"type":"object","properties":{"name":{"type":"string","description":"Legal name of the seller's agent","x-doc":{"text":"Legal name of the seller's agent","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"Commercial Name of the seller's agent","x-doc":{"text":"Commercial Name of the seller's agent","more":"Name by which the payer is known, other than the seller's agent legal name (also known as the company name). (It can be used if it differs from the legal name of the validator.)","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies seller's agent as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the seller's agent","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Email address of the seller's agent","x-doc":{"text":"Email address of the seller's agent","more":"Identifies the email address of the seller's agent to which a commercial document can be sent.","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"VAT identifier of the seller's agent","x-doc":{"text":"VAT identifier of the seller's agent","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Address Line 1 of the seller's agent","x-doc":{"text":"Address Line 1 of the seller's agent","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Address Line 2 of the seller's agent","x-doc":{"text":"Address Line 2 of the seller's agent","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Address Line 3 of the seller's agent","x-doc":{"text":"Address Line 3 of the seller's agent","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"Seller's agent locality","x-doc":{"text":"Seller's agent locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of seller's agent","x-doc":{"text":"Postal code of seller's agent","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"Seller's agent country subdivision","x-doc":{"text":"Seller's agent country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"Seller's agent country code","x-doc":{"text":"Seller's agent country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"Seller's agent contact point person","x-doc":{"text":"Seller's agent contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"Seller's agent contact point department","x-doc":{"text":"Seller's agent contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"Seller's agent contact phone number","x-doc":{"text":"Seller's agent contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the seller's agent contact","x-doc":{"text":"Email address of the seller's agent contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"seller's agent (e.g., Third-Party INVOICE VALIDATOR before issuance","x-doc":{"text":"seller's agent (e.g., Third-Party INVOICE VALIDATOR before issuance"}},"sellerTaxRepresentative":{"type":"object","properties":{"name":{"type":"string","description":"**BT-62** Name of the Seller's Fiscal Representative","x-doc":{"text":"Name of the Seller's Fiscal Representative","more":"Full name of the party representing the Seller for tax purposes.","uniqIdentifier":"BT-62","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies Fiscal Representative of the Seller as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the fiscal Representative of the Seller","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Electronic address of the seller tax representative","x-doc":{"text":"Electronic address of the seller tax representative","more":"format: scheme:value","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"**BT-63** VAT ID of the party representing the Seller for tax purposes.","x-doc":{"text":"VAT ID of the party representing the Seller for tax purposes.","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","uniqIdentifier":"BT-63","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"**BT-64** Fiscal Representative of the Seller address","x-doc":{"text":"Fiscal Representative of the Seller address","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","uniqIdentifier":"BT-64","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"**BT-65** Fiscal Representative of the Seller address","x-doc":{"text":"Fiscal Representative of the Seller address","more":"Additional line of an address, which can be used to provide details and complete the main line.","uniqIdentifier":"BT-65","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"**BT-164** Fiscal Representative of the Seller address","x-doc":{"text":"Fiscal Representative of the Seller address","more":"Additional line of an address, which can be used to provide details and complete the main line.","uniqIdentifier":"BT-164","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"**BT-66** Fiscal Representative of the Seller locality","x-doc":{"text":"Fiscal Representative of the Seller locality","more":"Common name of the municipality, city, or town where the buyer's address is located","uniqIdentifier":"BT-66","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"**BT-67** Postal code of the fiscal Representative of the Seller","x-doc":{"text":"Postal code of the fiscal Representative of the Seller","more":"Identifier of an addressable property group, compliant with the relevant postal service","uniqIdentifier":"BT-67","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"**BT-68** Fiscal Representative of the Seller country subdivision","x-doc":{"text":"Fiscal Representative of the Seller country subdivision","more":"Country subdivision","uniqIdentifier":"BT-68","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"**BT-69** Fiscal Representative of the Seller country code","x-doc":{"text":"Fiscal Representative of the Seller country code","more":"Country identification code","uniqIdentifier":"BT-69","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"BG-11 - Fiscal Representative of the Seller","x-doc":{"text":"BG-11 - Fiscal Representative of the Seller"}},"payer":{"type":"object","properties":{"name":{"type":"string","description":"Legal name of the payer","x-doc":{"text":"Legal name of the payer","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"Commercial Name of the Payer","x-doc":{"text":"Commercial Name of the Payer","more":"Name by which the payer is known, other than the payer's legal name (also known as the company name). (It can be used if it differs from the legal name of the validator.)","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9,"description":"A 9-digit unique identifier for businesses in France.","x-doc":{"text":"A 9-digit unique identifier for businesses in France.","more":"Identifier issued by an official registration body that identifies Payer as a legal entity or a legal person.","valueDescription":"9 char"}},"siret":{"type":"string","maxLength":14,"description":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","x-doc":{"text":"A 14-digit identifier that includes the SIREN plus a 5-digit code for specific establishments of a business in France.","more":"Identification of the Payer","valueDescription":"14 char"}},"electronicAddress":{"type":"string","maxLength":125,"description":"Email address of the Payer","x-doc":{"text":"Email address of the Payer","more":"Identifies the email address of the Payer to which a commercial document can be sent.","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"VAT identifier of the Payer","x-doc":{"text":"VAT identifier of the Payer","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Address Line 1 of the Payer","x-doc":{"text":"Address Line 1 of the Payer","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Address Line 2 of the Payer","x-doc":{"text":"Address Line 2 of the Payer","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Address Line 3 of the Payer","x-doc":{"text":"Address Line 3 of the Payer","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"Payer locality","x-doc":{"text":"Payer locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of Payer","x-doc":{"text":"Postal code of Payer","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"Payer country subdivision","x-doc":{"text":"Payer country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"Payer country code","x-doc":{"text":"Payer country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"Payer contact point person","x-doc":{"text":"Payer contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"Payer contact point department","x-doc":{"text":"Payer contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"Payer contact phone number","x-doc":{"text":"Payer contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the Payer contact","x-doc":{"text":"Email address of the Payer contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"Business term group allowing for specifying the entity responsible for paying the invoice.","x-doc":{"text":"Business term group allowing for specifying the entity responsible for paying the invoice."}},"buyerAgent":{"type":"object","properties":{"name":{"type":"string","description":"Legal Name of the Buyer’s Agent","x-doc":{"text":"Legal Name of the Buyer’s Agent","valueDescription":"99 char"}},"tradingBusinessName":{"type":"string","description":"Commercial Name of the Buyer’s Agent","x-doc":{"text":"Commercial Name of the Buyer’s Agent","more":"Name by which the validator is known, other than the company's legal name (also referred to as the business name). (It can be used if it differs from the legal name of the validator.)","valueDescription":"99 char"}},"siren":{"type":"string","maxLength":9},"siret":{"type":"string","maxLength":14},"electronicAddress":{"type":"string","maxLength":125,"description":"Email address of the buyer’s Agent","x-doc":{"text":"Email address of the buyer’s Agent","more":"Identifies the email address of the buyer’s Agent to which a commercial document can be sent.","valueDescription":"50 char"}},"vatNumber":{"type":"string","maxLength":18,"description":"VAT identifier of the Buyer's Agent","x-doc":{"text":"VAT identifier of the Buyer's Agent","more":"According to Article 215 of Council Directive 2006/112/EC [2], the individual VAT identification number includes a prefix compliant with ISO 3166-1 alpha-2 to identify the Member State that issued it. However, Greece is allowed to use the prefix 'EL'","valueDescription":"18 char"}},"postalAddress":{"type":"object","properties":{"addressLineOne":{"type":"string","maxLength":255,"description":"Address Line 1 of the Buyer’s Agent","x-doc":{"text":"Address Line 1 of the Buyer’s Agent","more":"Main line of an address. (Usually, the name and number of the street or the post office box.)","valueDescription":"255 char"}},"addressLineTwo":{"type":"string","maxLength":255,"description":"Address Line 2 of the Buyer’s Agent","x-doc":{"text":"Address Line 2 of the Buyer’s Agent","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"addressLineThree":{"type":"string","maxLength":255,"description":"Address Line 3 of the Buyer’s Agent","x-doc":{"text":"Address Line 3 of the Buyer’s Agent","more":"Additional line of an address, which can be used to provide details and complete the main line.","valueDescription":"255 char"}},"cityName":{"type":"string","maxLength":255,"description":"Buyer’s Agent locality","x-doc":{"text":"Buyer’s Agent locality","more":"Common name of the municipality, city, or town where the buyer's address is located","valueDescription":"255 char"}},"postalCode":{"type":"string","maxLength":10,"description":"Postal code of Buyer’s Agent","x-doc":{"text":"Postal code of Buyer’s Agent","more":"Identifier of an addressable property group, compliant with the relevant postal service","valueDescription":"10 char"}},"countrySubDivision":{"type":"string","maxLength":255,"description":"Buyer’s Agent country subdivision","x-doc":{"text":"Buyer’s Agent country subdivision","more":"Country subdivision","valueDescription":"255 char"}},"country":{"type":"string","maxLength":2,"description":"Buyer’s Agent country code","x-doc":{"text":"Buyer’s Agent country code","more":"Country identification code","link":{"placeholder":"Country iso code list","link":"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements"},"valueDescription":"2 char"}}},"required":["country"]},"contact":{"type":"object","properties":{"personName":{"type":"string","maxLength":100,"description":"Buyer’s Agent contact point person","x-doc":{"text":"Buyer’s Agent contact point person","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"departmentName":{"type":"string","maxLength":100,"description":"Buyer’s Agent contact point department","x-doc":{"text":"Buyer’s Agent contact point department","more":"Contact point corresponding to a legal entity or a moral person","valueDescription":"100 char"}},"phoneNumber":{"type":"string","description":"Buyer’s Agent contact phone number","x-doc":{"text":"Buyer’s Agent contact phone number","more":"Phone number of the contact point","valueDescription":"string"}},"email":{"type":"string","description":"Email address of the Buyer’s Agent contact","x-doc":{"text":"Email address of the Buyer’s Agent contact","more":"Email address of the contact person","valueDescription":"string"}}}},"identifiers":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["ELECTRONIC_ADDRESS","PARTY_IDENTIFIER","PARTY_LEGAL_IDENTIFIER"],"description":"The type of the identifier.","x-doc":{"text":"The type of the identifier.","array":[{"code":"ELECTRONIC_ADDRESS","label":"Electronic address used for routing (e.g. Peppol)."},{"code":"PARTY_IDENTIFIER","label":"General party identifier."},{"code":"PARTY_LEGAL_IDENTIFIER","label":"Legal identifier of the party."}]}},"scheme":{"type":"string","description":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","x-doc":{"text":"The EAS code (Endpoint Address Scheme) identifies the type of identifier used for parties in electronic invoicing.","more":"Once on the European Commission's webpage, download the latest version of the XLSX file containing the EAS codes. Example: for a French company it can be 0002 (SIREN).","link":{"placeholder":"EAS code list","link":"https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931"}}},"value":{"type":"string","description":"The value of the electronic address.","x-doc":{"text":"The value of the electronic address."}}},"required":["scheme","value"]}}},"required":["name"],"description":"The buyer agent details of the invoice.","x-doc":{"text":"The buyer agent details of the invoice."}},"charges":{"type":"array","items":{"type":"object","properties":{"actualAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-99** Amount of charges","x-doc":{"text":"Amount of charges","valueDescription":"19 digits and 2 decimal","more":"Amount of a foot discount, excluding VAT.","uniqIdentifier":"BT-99"}}},"required":["amount"]},"basisAmount":{"type":"object","properties":{"amount":{"type":"number","description":"**BT-100** Basis for charges or costs at document level","x-doc":{"text":"Basis for charges or costs at document level","valueDescription":"19 digits and 2 decimal","more":"Base amount that can be used in conjunction with the Document Discount Percentage to calculate the Document Discount Amount.","uniqIdentifier":"BT-100"}}},"required":["amount"]},"calculationPercent":{"type":"number","description":"**BT-101** Percentage of charges at document level","x-doc":{"text":"Percentage of charges at document level","valueDescription":"3 digits and 2 decimal","more":"Percentage that can be used in conjunction with the Document Discount Base to calculate the Document Discount Amount.","uniqIdentifier":"BT-101"}},"taxDetail":{"type":"object","properties":{"taxType":{"type":"string","default":"VAT"},"categoryCode":{"type":"string","maxLength":2,"description":"**BT-102** VAT type code for expenses","x-doc":{"text":"VAT type code for expenses","valueDescription":"2 char","more":"Coded identification of the type of VAT applicable to the charges or costs in the document.","uniqIdentifier":"BT-102","link":{"placeholder":"UNTDID 5305","link":"https://unece.org/fileadmin/DAM/trade/untdid/d16b/tred/tred5305.htm"}}},"percent":{"type":"number","description":"**BT-103** VAT 
[...]
